Package com.collibra.dgc.core.api.dto.quality

# Class ChangeDataQualityRuleRequest.Builder

Object
Builder

Enclosing class:
  `ChangeDataQualityRuleRequest`

public static class ChangeDataQualityRuleRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChangeDataQualityRuleRequest`
  `build()`
  `ChangeDataQualityRuleRequest.Builder`
  `categorizationRelationTypeId(UUID categorizationRelationTypeId)`
  The ID of the categorization relation type.
  `ChangeDataQualityRuleRequest.Builder`
  `dataQualityMetrics(List<DataQualityMetricRequest> dataQualityMetrics)`
  The list of data quality metrics.
  `ChangeDataQualityRuleRequest.Builder`
  `description(String description)`
  The new description for the data quality rule.
  `ChangeDataQualityRuleRequest.Builder`
  `id(UUID id)`
  Required. The ID of the data quality rule to be changed.
  `ChangeDataQualityRuleRequest.Builder`
  `name(String name)`
  The new name for the data quality rule.
  `ChangeDataQualityRuleRequest.Builder`
  `relationTraceEntries(List<RelationTraceEntryRequest> relationTraceEntries)`
  The list of relation trace entries that describes relations along which the data quality result is calculated.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### id

    public ChangeDataQualityRuleRequest.Builder id(UUID id)
    Required. The ID of the data quality rule to be changed. Silently ignored if the ID is provided as path parameter of the request.
    Returns:
      `this`.

  - ### name

    public ChangeDataQualityRuleRequest.Builder name(String name)
    The new name for the data quality rule.
    Returns:
      `this`.

  - ### description

    public ChangeDataQualityRuleRequest.Builder description(String description)
    The new description for the data quality rule.
    Returns:
      `this`.

  - ### categorizationRelationTypeId

    public ChangeDataQualityRuleRequest.Builder categorizationRelationTypeId(UUID categorizationRelationTypeId)
    The ID of the categorization relation type.
    Returns:
      `this`.

  - ### dataQualityMetrics

    public ChangeDataQualityRuleRequest.Builder dataQualityMetrics(List<DataQualityMetricRequest> dataQualityMetrics)
    The list of data quality metrics.
    Returns:
      `this`.

  - ### relationTraceEntries

    public ChangeDataQualityRuleRequest.Builder relationTraceEntries(List<RelationTraceEntryRequest> relationTraceEntries)
    The list of relation trace entries that describes relations along which the data quality result is calculated.
    Returns:
      `this`.

  - ### build

    public ChangeDataQualityRuleRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`